1 Reply Latest reply on Mar 11, 2009 8:23 AM by Stan Lewis

    Can client libraries be many versions behind the server version?

    Steve Weet Newbie

      We have recently updated our ActiveMQ instance from 5.0.0.8 to 5.2.0.2

       

      I have noticed that within the consumer application the jar file for the client is activemq-core-5.0.0.7-fuse.jar

       

      Is this likely to cause us issues. We are experiencing some issues within the application, which do not appear to be directly related to ActiveMQ but I was wondering if a very old client library could be a problem.

        • 1. Re: Can client libraries be many versions behind the server version?
          Stan Lewis Novice

          It should be okay, the broker and consumer should negotiate to using the same wire format version.  An older client may not be able to take advantages of features available in the newer wire formats.  If you set the activemq logging to DEBUG you'll see the broker and consumer negotiate what wire format will be used for communication, might be worth checking what version is being used.  As the client is running a 5.x version I wouldn't forsee any problems really.